package de.ugoe.cs.quest.eventcore.gui;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: $
 * @author 2011, last modified by $Author: $
 */
public class MouseButtonUp extends MouseButtonInteraction {

    /**  */
    private static final long serialVersionUID = 1L;

    /**
     * @param button
     */
    public MouseButtonUp(Button button) {
        super(button);
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#getName()
     */
    public String getName() {
        if (super.getButton() == Button.LEFT) {
            return "LeftMouseButtonUp";
        }
        else if (super.getButton() == Button.MIDDLE) {
            return "MiddleMouseButtonUp";
        }
        else if (super.getButton() == Button.RIGHT) {
            return "RightMouseButtonUp";
        }
        else {
            return "UnknownMouseButtonUp";
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        if (super.getButton() == Button.LEFT) {
            return "left mouse button up";
        }
        else if (super.getButton() == Button.MIDDLE) {
            return "middle mouse button up";
        }
        else if (super.getButton() == Button.RIGHT) {
            return "right mouse button up";
        }
        else {
            return "unknown mouse button up";
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#startsLogicalSequence()
     */
    public boolean startsLogicalSequence() {
        return false;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.Interaction#finishesLogicalSequence()
     */
    public boolean finishesLogicalSequence() {
        return true;
    }

}
